Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78633 - Clients cannot mount exported root drive
Summary: Clients cannot mount exported root drive
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-nfs
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 18:44 UTC by Mark Cuss
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-16 17:50:21 UTC


Attachments (Terms of Use)

Description Mark Cuss 2002-11-26 18:44:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
If the redhat-config-nfs utility is installed on a machine and the NFS server 
is setup (either with the utility or by directly editing the /etc/exports 
file), clients cannot mount the exported root drive.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up a RedHat 8.0 system with the redhat-config-nfs utility.
2. Export the root drive to all machine on the network, either using the GUI 
utility or by editing /etc/exports.  My resulting exports line was:
/           *(rw)
3.  Restart the NFS server
4.  Attempt to mount the exported root volume on another RedHat 8 machine.  The 
server ALWAYS returns "permission denied", regardless of settings 
in /etc/exports or in the GUI utility.
5.  Now, uninstall redhat-config-nfs using redhat-config-packages.
6.  Write a new /etc/exports by hand, and restart the NFS service.
7.  The other RedHat 8 machine can now mount the volume.
	

Additional info:

It seems that some security "feature" has been somehow built into this redhat-
config-nfs utility which will not allow clients to mount an exported root 
partition.  Some may argue that "you shouldn't export your root partition" etc 
etc.  Our machine is behind a firewall on a private network, so the security 
risk is minimal.  If the GUI is going to enforce such a policy, it should tell 
the user so he (ie - me) doesn't spend a whole day trying to find this.

Note that this only occurs for an export of "/" (exporting /users, for example, 
works fine).  This also only occurs if the machine trying to mount the share is 
a RedHat 8 machine.  A RedHat 7.3 machine mounted the volume fine, even with 
redhat-config-nfs installed.

Comment 1 Brent Fox 2002-12-16 17:50:21 UTC
No, it wasn't any kind of security "feature".  It was just a plain old bug.  ;)

I believe that this is fixed with redhat-config-nfs-1.0.2-2 in Rawhide.  QA,
please verify.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.